<section class='scaffold'>
  <h2 class="breadcrumbs">Properties</h2>

  <p>
    <%= link_to '<i class="fa fa-plus-circle" aria-hidden="true"></i>New Property'.html_safe, new_property_path, class: "addButton" %>
  </p>

  <table class="scaffoldListTable">
    <thead>
      <tr>
        <th>Property name</th>
        <th>Property address</th>
        <th>Advertised rent</th>
        <th>Landlords</th>
        <th colspan="2">Actions</th>
      </tr>
    </thead>

    <tbody>
      <% @properties.each do |property| %>
        <tr>
          <td><%= link_to property.property_name, property %></td>
          <td>
            <pre><%= property.property_address %></pre>
          </td>
          <td><%= property.advertised_monthly_rent || 0.0 %></td>
          <td>
            <% property.landlords.each do |landlord| %>
              <li><%= link_to "#{landlord.first_name+" "+landlord.last_name+", "+landlord.email}", landlord %></li>
            <% end %>
          </td>

          <td><%= link_to '<i class="fa fa-pencil" aria-hidden="true"></i>'.html_safe, edit_property_path(property), title: "Edit Property" %></td>

          <td><%= link_to '<i class="fa fa-trash" aria-hidden="true"></i>'.html_safe, property,
          method: :delete, data: { confirm: "Are you sure want to delete #{property.property_name}?" } %></td>
        </tr>
      <% end %>
    </tbody>
  </table>

  <p>
    <%= link_to '<i class="fa fa-plus-circle" aria-hidden="true"></i>New Property'.html_safe, new_property_path, class: "addButton" %>
  </p>
</section>